%define product		TextIndexNG
%define version 	2.2.0b2
%define release		%mkrel 5

%define zope_minver	2.7

%define zope_home	%{_prefix}/lib/zope
%define software_home	%{zope_home}/lib/python

Summary:	Leading and most feature-complete fulltext indexing solution for Zope
Name:		zope-%{product}
Version:	%{version}
Release:	%{release}
License:	ZPL
Group:		System/Servers
Source:		http://www.zope.org/Members/ajung/TextIndexNG/%{version}/TextIndexNG-%{version}.tar.bz2
Patch0:		zope-TextIndexNG2-ppthtml.patch.bz2
URL:		http://www.zopyx.com/OpenSource/TextIndexNG
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
# BuildArch:	noarch
Requires:	zope >= %{zope_minver}
Requires:	catdoc
Requires:	xlhtml
BuildRequires:  python-devel

%description
Features:
 + DocumentConverters 
 + StemmerSupport for 13 languages 
 + SimilaritySearch for english text (based on the Levenshtein distance)
 + NearSearch, 
 + PluggableParsers 
 + extended StopWords support 
 + full integration in ZCatalog 
 + TestFunctionality through ZMI 
 + ExtensibleArchitecture
 + being MoreEfficient than the current !TextIndex
 + full globbing support (wildcard search)
 + NormalizationSupport (e.g. reducing accented characters to their base form) 
 + full UnicodeAwareness 
 + Relevance ranking of search results added. Searches are now ranked using an
extended cosine measure. The cosine measure is based on a vector model and
calculates the document "score" based on the frequency of the query terms 
inside the document result set. 
 + Much faster phrase/near search: the old implementation of TextIndexNG had to
perform a very expensive job at query time when phrase/near search was
performed. Re-using the !WidCode module of !ZCTextIndex made this operation 
less expensive.
 + Left-truncation added: TextIndexNG can be configured creation-time time to
support left-truncation (means you can search for "*suffix") Left-truncation is
an option because this feature requires a second reverted index inside the
lexicion and much more memory!
 + optional auto-expansion support: This optional feature allows you to get
better search results when some of the query terms could not be found. The 
index expands a query term "foo" to "foo*" if there was no hit for "foo". This
expansion is currently global for the index. This feature will be available 
on a per-query basis in a later version. (Auto-expansion will be extended in a 
later version to search for similar terms)
 + improved HTML converter: now using Chris Withers "Strip-o-Gram" module
instead of the Strip-Tag-Parser
 + added converter for text/sgml
 + Similarity search (soundex, metaphone, doublemetaphone) dropped and replace
with a more general approach and language indepedant approach using the
Levenshtein distance.
 + range searches like "Fi..Foo"
 + substring searches "substring"



%prep
%setup -c -q
%patch0

%build
cd %{product}*
python setup.py build


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/

cd %{product}*
python setup.py install --root=%{buildroot}

rm -rf %{buildroot}/%{software_home}/Products/%{product}/{src,build}

%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi


%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
	service zope restart
fi

%files
# zope needs to own this product :-(
%defattr(-, zope, root, 0755)
%{software_home}/Products/*
%{_libdir}/python%{pyver}/site-packages/*.so


%changelog
* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 07:28:49 (53757)
- Increase release

* Mon Aug 07 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 08/07/06 07:14:27 (53753)
- Fix rpmlint warnings

* Sun Jul 30 2006 glehmann
+ 07/30/06 11:03:59 (42798)
Import zope-TextIndexNG

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.0b2-4mdk
- Fix BuildRequires

* Tue Nov 08 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.0b2-3mdk
- Fix BuildRequires
- Fix %%mkrel

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.2.0b2-2mdk
- fix path on x86_64

* Sat May 14 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.2.0b2-1mdk
- initial package

